export const formItemPropsScript = `脚本参数说明
// 获取表单是新增还是编辑
let update = utils.isUpdate();
// 组件变更数据
let data = utils.data();

// 数据设置
// 获取主表数据
let mainValue = utils.getValue('组件的字段标识');
// 设置主表数据
setFieldsValue(utils.setValue('组件的字段标识', '设置的值'));

// 获取子表数据
let childValue = getChildValue('组件的字段标识');
// 添加子表数据
subTableList.value = addChildValue(data);
data格式为[{组件的字段标识1: "value1", {组件的字段标识2: "value2"}]或者{组件的字段标识1: "value1"}
// 修改子表数据
subTableList.value = addChildValue('组件的字段标识', '旧value', '新value');
// 删除子表数据
subTableList.value = deleteChildValue('组件的字段标识', 'value');

// 组件设置
// 设置组件为隐藏
formColumns.value = utils.setHide('组件的字段标识', false);
// 取消组件隐藏
formColumns.value = utils.setHide('组件的字段标识', true);
// 设置组件为禁用
formColumns.value = utils.setDisabled('组件的字段标识', true);
// 取消组件禁用
formColumns.value = utils.setDisabled('组件的字段标识', false);
// 设置组件为必填
formColumns.value = utils.setRequired('组件的字段标识', true);
// 设置组件不为必填
formColumns.value = utils.setRequired('组件的字段标识', false);

// 功能设置
// 提示消息
utils.message('提示信息', '提示类型');
提示类型：success（成功）、error（错误）、warn（警告）、info（默认）
// 获取登录者信息
var loginUser = utils.loginUser();
loginUser返回值为{ account: 账号, name: 姓名 }

// 回调方法
// get请求
// 需要用到回调方法
// 例子：let resGet = await utils.httpGet('/api/FormScheme/LoadFormPage', { page: 1, limit: 10 });
let resGet = await utils.httpGet(url, params);
url:api地址, params:参数

// post请求
let resPost = await utils.httpPost(url, params);
url:api地址, params:参数

// put请求
// 需要用到回调方法
let resPut = await utils.httpPut(url, params);
url:api地址, params:参数
`;


export const options_json = `{
    "options": [
    {
        "label": "选项1",
        "value": "1",
        "children": [
        {
          "label": "选项3",
          "value": "3"
        }
      ]
    },
    {
      "label": "选项2",
      "value": "2"
    }
  ]
}`;

export const treeData_json = `{
    "treeData": [
    {
        "label": "选项1",
        "value": "1",
        "children": [
        {
          "label": "选项3",
          "value": "3"
        }
      ]
    },
    {
      "label": "选项2",
      "value": "2"
    }
  ]
}`;